Network Interface - GetInterfaces For GivenNode
Retrieves data for network interfaces by interface ID and request type.
GET http://<Servername>/OperationsManager/NetworkInterface/{interfaceId}/{requestType}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
interface
|
path | True |
string |
Request type to be networkinterfaceutilization |
|
request
|
path | True |
string |
Specify the interface ID. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
object |
OK Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Examples
GetInterfacesForGivenNode
Sample request
GET http://<Servername>/OperationsManager/NetworkInterface/4baee73a-92b7-772d-2d68-44d574c08217/NetworkInterfaceUtilization
Sample response
[
{
"interfaceId": "4baee73a-92b7-772d-2d68-44d574c08217",
"averageUtilization": 0,
"minimumUtilization": 0,
"maximumUtilization": 0
}
]